EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Dashboards_GetDashboardInfo',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'DashboardPackages_Latest,DashboardFeeds',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets data relevant to the ProGet homepage.'
GO

IF OBJECT_ID('[Dashboards_GetDashboardInfo]') IS NOT NULL DROP PROCEDURE [Dashboards_GetDashboardInfo]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Dashboards_GetDashboardInfo]
(
	@Packages_Count INT,
    @IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
      FROM [DashboardPackages_Latest]

    SELECT *
      FROM [DashboardFeeds]
     WHERE ([Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y')
  ORDER BY [Active_Indicator] DESC, [Feed_Name] ASC

END
GO

GRANT EXECUTE ON [Dashboards_GetDashboardInfo] TO [ProGetUser_Role]
GO