EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetFeedConnectors',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedConnectors_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the connectors for a feed.'
GO

IF OBJECT_ID('[Feeds_GetFeedConnectors]') IS NOT NULL DROP PROCEDURE [Feeds_GetFeedConnectors]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetFeedConnectors]
(
	@Feed_Id INT = NULL,
	@Feed_Name NVARCHAR(50) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [FeedConnectors_Extended]
	 WHERE (@Feed_Id IS NOT NULL AND [Feed_Id] = @Feed_Id)
	    OR (@Feed_Id IS NULL AND [Feed_Name] = @Feed_Name)
	 ORDER BY [Sequence_Number]

END
GO

GRANT EXECUTE ON [Feeds_GetFeedConnectors] TO [ProGetUser_Role]
GO
