EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_SetAlternateNames',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets alternate names for a feed.'
GO

IF OBJECT_ID('[Feeds_SetAlternateNames]') IS NOT NULL DROP PROCEDURE [Feeds_SetAlternateNames]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_SetAlternateNames]
(
	@Feed_Id INT,
	@AlternateNames_Csv NVARCHAR(MAX)
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	DELETE [FeedAlternateNames]
	 WHERE [Feed_Id] = @Feed_Id

	INSERT INTO [FeedAlternateNames] ([Feed_Id],[Alternate_Feed_Name])
	SELECT @Feed_Id, [Value_Text] FROM dbo.CsvToTable(@AlternateNames_Csv, ',')

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_SetAlternateNames] TO [ProGetUser_Role]
GO