EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PypiPackages_GetPackageUpdates',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'PypiPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets updated PyPI packages from the specified feed.'
GO

IF OBJECT_ID('[PypiPackages_GetPackageUpdates]') IS NOT NULL DROP PROCEDURE [PypiPackages_GetPackageUpdates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PypiPackages_GetPackageUpdates]
(
	@Feed_Id INT,
	@Max_Count INT
)
AS
BEGIN

SET NOCOUNT ON

	IF @Max_Count IS NOT NULL
		SET ROWCOUNT @Max_Count

	SELECT *
	  FROM [PypiPackages]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Published_Date] DESC

END
GO

GRANT EXECUTE ON [PypiPackages_GetPackageUpdates] TO [ProGetUser_Role]
GO
